org.apache.lucene.analysis.opennlp.tools

## Class NLPSentenceDetectorOp

- java.lang.Object
- - org.apache.lucene.analysis.opennlp.tools.NLPSentenceDetectorOp

    public class NLPSentenceDetectorOp
    extends Object

Supply OpenNLP Sentence Detector tool Requires binary models from OpenNLP project on SourceForge.

### Constructor Summary

Constructors
Constructor and Description
`NLPSentenceDetectorOp()`
`NLPSentenceDetectorOp(opennlp.tools.sentdetect.SentenceModel model)`

### Method Summary

All Methods Instance Methods Concrete Methods
`opennlp.tools.util.Span[]` `splitSentences(String line)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NLPSentenceDetectorOp

    public NLPSentenceDetectorOp(opennlp.tools.sentdetect.SentenceModel model)
                          throws IOException

Throws:
  `IOException`

#### NLPSentenceDetectorOp

    public NLPSentenceDetectorOp()

### Method Detail

#### splitSentences

    public opennlp.tools.util.Span[] splitSentences(String line)